UpdateStatement.ParsedUpdate (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.cql3.statements

## Class UpdateStatement.ParsedUpdate

- java.lang.Object
- - org.apache.cassandra.cql3.statements.ParsedStatement
  - - org.apache.cassandra.cql3.statements.CFStatement
    - - org.apache.cassandra.cql3.statements.ModificationStatement.Parsed
      - - org.apache.cassandra.cql3.statements.UpdateStatement.ParsedUpdate

- Enclosing class:
    UpdateStatement

      public static class UpdateStatement.ParsedUpdate
      extends ModificationStatement.Parsed

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.cassandra.cql3.statements.ParsedStatement

      `ParsedStatement.Prepared`

  - ### Field Summary

    - ### Fields inherited from class org.apache.cassandra.cql3.statements.ModificationStatement.Parsed

      `type`

    - ### Fields inherited from class org.apache.cassandra.cql3.statements.CFStatement

      `cfName`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ParsedUpdate(CFName name, Attributes.Raw attrs, java.util.List<Pair<ColumnDefinition.Raw,Operation.RawUpdate>> updates, WhereClause whereClause, java.util.List<Pair<ColumnDefinition.Raw,ColumnCondition.Raw>> conditions, boolean ifExists)` Creates a new UpdateStatement from a column family name, columns map, consistency level, and key term.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected ModificationStatement` | `prepareInternal(CFMetaData cfm, VariableSpecifications boundNames, Conditions conditions, Attributes attrs)`

    - ### Methods inherited from class org.apache.cassandra.cql3.statements.ModificationStatement.Parsed

      `getColumnDefinition, newRestrictions, prepare, prepare`

    - ### Methods inherited from class org.apache.cassandra.cql3.statements.CFStatement

      `columnFamily, keyspace, prepareKeyspace, prepareKeyspace`

    - ### Methods inherited from class org.apache.cassandra.cql3.statements.ParsedStatement

      `getBoundVariables, getFunctions, setBoundVariables, setBoundVariables`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ParsedUpdate

          public ParsedUpdate(CFName name,
                              Attributes.Raw attrs,
                              java.util.List<Pair<ColumnDefinition.Raw,Operation.RawUpdate>> updates,
                              WhereClause whereClause,
                              java.util.List<Pair<ColumnDefinition.Raw,ColumnCondition.Raw>> conditions,
                              boolean ifExists)

      Creates a new UpdateStatement from a column family name, columns map, consistency level, and key term.
      Parameters:
        `name` - column family being operated on
        `attrs` - additional attributes for statement (timestamp, timeToLive)
        `updates` - a map of column operations to perform
        `whereClause` - the where clause
        `ifExists` - flag to check if row exists

  - ### Method Detail

    - #### prepareInternal

          protected ModificationStatement prepareInternal(CFMetaData cfm,
                                                          VariableSpecifications boundNames,
                                                          Conditions conditions,
                                                          Attributes attrs)

      Specified by:
        `prepareInternal` in class `ModificationStatement.Parsed`

Copyright © 2018 The Apache Software Foundation